<?php
/*	
	Domain Check Module for Joomla v2.0
	Copyright (C) 2009  web-expert.gr. All rights reserved.
*/
defined('_JEXEC') or die( 'Direct Access to this location is not allowed.' );
$templatePath = str_replace(DIRECTORY_SEPARATOR,'/',JURI::root(true).str_replace(JPATH_SITE,'',dirname(__FILE__)));

$document->addStyleSheet($templatePath.'/pricelist.css?layout='.$params->get('layout', 'Default'));
$httpParams=array('domainapi'=>'pricelist','key'=>$params->get('apikey',''),'format'=>'json','showcurrency'=>1);
$freeAmount=0;
//Make Request
$stream=stream_context_create(array('http' => array('user_agent' => $_SERVER['HTTP_USER_AGENT'])));
$dataJSON=file_get_contents($params->get('domainapiurl','').'/index.php?'.http_build_query($httpParams),false,$stream); //get Data
$data=@json_decode($dataJSON,true);
$pretext=$params->get('pretext','');
?>
<div class="Wedomainchecker <?php echo $params->get('moduleclass_sfx',"");?>" id="domainchecker<?php echo $module->id;?>" style="width:<?php echo $params->get('width','100%');?>;" data-moduleid="<?php echo $module->id;?>" data-domainapiurl="<?php echo urlencode($domainApiURL);?>" data-layout="<?php echo $params->get('layout', 'Default');?>" >
	<!-- Text -->
	<?php if(!empty($pretext)) {?> 
		<div class="domaintext"><p><?php echo $pretext;?></p></div>
	<?php } ?>
	<div class="pricingtable">
	<?php
	//create responsive table with UL elements
	$columns=array();
	if($data!==NULL && $data['result']=='success'){
		$columns['tldcol']='<ul class="pricing pcol0"><li class="pheader">'.JText::_('MOD_WE_DOMAINCHEKER_TBLTLD').'</li>';
		$columns['yearscol']='<ul class="pricing pcol1"><li class="pheader">'.JText::_('MOD_WE_DOMAINCHEKER_TBLMINYEARS').'</li>';
		$columns['regcol']='<ul class="pricing pcol2"><li class="pheader">'.JText::_('MOD_WE_DOMAINCHEKER_TBLREGISTER').'</li>';
		$columns['transcol']='<ul class="pricing pcol3"><li class="pheader">'.JText::_('MOD_WE_DOMAINCHEKER_TBLTRANSFER').'</li>';
		$columns['renewcol']='<ul class="pricing pcol4"><li class="pheader">'.JText::_('MOD_WE_DOMAINCHEKER_TBLRENEW').'</li>';
		$i=0;
		foreach($data['apiresponse']['tlds'] as $tld=>$rsp){
			$class=($i%2==0)?'odd':'even';	
			$price = current($rsp['pricing']);
			$year = key($rsp['pricing']);
			$columns['tldcol'].='<li class="'.$class.'" id="pcol0row'.$i.'">'.$tld.'</li>'; //tld
			$columns['yearscol'].='<li class="'.$class.'" id="pcol1row'.$i.'">'.$year.'</li>'; //min years
			
			$price['domainregister']=($price['domainregister']==-1)?' - ':(($price['domainregister']==$freeAmount)?JText::_('MOD_WE_DOMAINCHEKER_FREE'):$price['domainregister']);
			$columns['regcol'].='<li class="'.$class.'" id="pcol2row'.$i.'">'.$price['domainregister'].'</li>';  //reg price
			
			$price['domaintransfer']=($price['domaintransfer']==-1)?' - ':(($price['domaintransfer']==$freeAmount)?JText::_('MOD_WE_DOMAINCHEKER_FREE'):$price['domaintransfer']);
			$columns['transcol'].='<li class="'.$class.'" id="pcol3row'.$i.'">'.$price['domaintransfer'].'</li>'; //transfer price
			
			$price['domainrenew']=($price['domainrenew']==-1)?' - ':(($price['domainrenew']==$freeAmount)?JText::_('MOD_WE_DOMAINCHEKER_FREE'):$price['domainrenew']);
			$columns['renewcol'].='<li class="'.$class.'" id="pcol4row'.$i.'">'.$price['domainrenew'].'</li>'; //renew price
			$i++;
		}
		$columns['tldcol'].='</ul>';
		$columns['yearscol'].='</ul>';
		$columns['regcol'].='</ul>';
		$columns['transcol'].='</ul>';
		$columns['renewcol'].='</ul>';
	}
	echo implode("\n",$columns);?>
	</div>
</div>