<?php
/**
 * @package		WE Domain Checker (based on SecureDomainAPI) v3.0
 * @author		Web-expert.gr http://www.web-expert.gr
 * @copyright	Copyright (c) 2010 - 2012 Web-expert.gr . All rights reserved.
 * @license		GNU/GPL license: http://www.gnu.org/copyleft/gpl.html
 */
defined('_JEXEC') or die( 'Direct Access to this location is not allowed.' );

/*Prepare Params*/
$lang = JFactory::getLanguage();
$domainApiURL=rtrim(trim($params->get('domainapiurl', "")),'/');
$loadjQuery=(int)$params->get('loadjQuery', 0); 
$debug=(int)$params->get('debug', 0); 
$customstyle=$params->get('customstyle', ''); 
$document =JFactory::getDocument();
$assetsPath = JURI::root(true)."/modules/mod_we_domainchecker/domaincheck/";

//Jquery Handling
if(version_compare(JVERSION,'3.0','ge'))
{
	JHtml::_('jquery.framework');
}elseif($loadjQuery){
	$document->addScript($path."jquery.js");
}
if(!empty($customstyle)) $document->addStyleDeclaration(trim($customstyle));

//Tlds
$tlds=explode(',',JString::trim($params->get('tlds',''))); 
$tlds_secondary=explode(',',JString::trim($params->get('tlds_secondary',''))); 
$tldschecked=explode(',',JString::trim($params->get('tldschecked',''))); 
$langStrings=array('MOD_WE_DOMAINCHEKER_CHECK','MOD_WE_DOMAINCHEKER_UNCHECK','MOD_WE_DOMAINCHEKER_PLZWAIT','MOD_WE_DOMAINCHEKER_SLDMINLENGTH','MOD_WE_DOMAINCHEKER_SLDMAXLENGTH','MOD_WE_DOMAINCHEKER_SLDCHARS','MOD_WE_DOMAINCHEKER_TLDCHECK','MOD_WE_DOMAINCHEKER_LESSTLDS','MOD_WE_DOMAINCHEKER_MORETLDS');
foreach($langStrings as $lngs) JText::script($lngs);

if(!defined('WEDOMCHECKER_JS'))
{
	$js='var checkerdebug='.$debug.';var allowEnter='.$params->get('allowenter',0).';var checkerJRoot="'.JURI::root(true).'";var checkerLang="'.$lang->getTag().'";';
	$document->addScriptDeclaration($js);
	define('WEDOMCHECKER_JS',1);
}
require(JModuleHelper::getLayoutPath('mod_we_domainchecker',$params->get('layout', 'Default').'/default'));