<?php
/**
 * @package		WE Domain Checker (based on SecureDomainAPI) v3.0
 * @author		Web-expert.gr http://www.web-expert.gr
 * @copyright	Copyright (c) 2010 - 2012 Web-expert.gr . All rights reserved.
 * @license		GNU/GPL license: http://www.gnu.org/copyleft/gpl.html
 */
defined('_JEXEC') or die( 'Direct Access to this location is not allowed.' );
$templatePath = str_replace(DIRECTORY_SEPARATOR,'/',JURI::root(true).str_replace(JPATH_SITE,'',dirname(__FILE__)));
$document->addStyleSheet($templatePath.'/style.css?layout='.$params->get('layout', 'Default'));
$document->addScript($templatePath.'/domaincheck.js?layout='.$params->get('layout', 'Default'));
$pretext=$params->get('pretext','');
$pricelist=$params->get('show_tldpricing',0);
?>
<div class="Wedomainchecker <?php echo $params->get('moduleclass_sfx',"");?>" id="domainchecker<?php echo $module->id;?>" style="width:<?php echo $params->get('width','100%');?>;" data-moduleid="<?php echo $module->id;?>" data-domainapiurl="<?php echo urlencode($domainApiURL);?>" data-layout="<?php echo $params->get('layout', 'Default');?>" >
	<!-- Text -->
	<?php if(!empty($pretext)) {?> 
		<div class="domaintext"><p><?php echo $pretext;?></p></div>
	<?php } ?>
	<!-- Domain Field -->
	<div class="domainfields">
		<input type="text" class="domainfield" name="domain" size="25" maxlength="60" placeholder="<?php echo JText::_('MOD_WE_DOMAINCHEKER_SLDEF');?>" value="" />
		<input class="btn btn-success dosearchbtn" type="button" value="<?php echo JText::_('MOD_WE_DOMAINCHEKER_CHECKAVAILABILITY');?>" />
	</div>
	<!-- TLDS -->
	<div class="tlds">
		<div class="primary">
		<?php foreach ($tlds as $i=>$tld){ 
			$checkit=(in_array($tld,$tldschecked))?" checked":"";?>
			<div class="tldpos"><input class="ext" type="checkbox" name="tlds[]" value="<?php echo $tld;?>"<?php echo $checkit;?> /><span><?php echo $tld;?></span></div>
		<?php } ?>
		</div>
		<div style="clear:both;"></div>
		<div class="showmore"><img class="showmoreimg" alt="<?php echo JText::_('MOD_WE_DOMAINCHEKER_MORETLDS');?>" src="<?php echo $assetsPath;?>show_more.gif" />&nbsp;<span><?php echo JText::_('MOD_WE_DOMAINCHEKER_MORETLDS');?></span></div>	
		<!-- SECONDARY TLDS -->
		<div class="secondary" style="display:none;">
			<?php foreach($tlds_secondary as $i=>$tld){
				$checkit=(in_array($tld,$tldschecked))?" checked":"";?>
				<div class="tldpos"><input class="ext" type="checkbox" name="tlds[]" value="<?php echo $tld;?>"<?php echo $checkit;?> /><span><?php echo $tld;?></span></div>
			<?php } ?>
		</div>
	</div>
	<div style="clear:both;"></div>
	<!-- RESULTS TLDS -->
	<div class="results" style="display:none;"></div>
	<div style="clear:both"></div>
	<?php if($pricelist) require JModuleHelper::getLayoutPath('mod_we_domainchecker',$params->get('layout', 'Default').'/pricelist');	?>
</div>