jQuery.noConflict();
jQuery(document).ready(function($){
	var moduleID='#domainchecker100';
	var postFormCheck=true;
	var error="";
	$('input.domainfield').keydown(function(e) {
		var module=getModule($(this));
		moduleID='#'+module.attr('id');
		if(allowEnter && e.keyCode == 13)
		{
		   e.preventDefault();
		   $(moduleID+' .dosearchbtn').click();
		}
	});
  
    $('.dosearchbtn').click(function() {
		var module=getModule($(this));
		moduleID='#'+module.attr('id');
		domainElement=$(moduleID+" input.domainfield");
		checkDomainChars(domainElement,false);

		var dataPost = {'domain':domainElement.val(), 'layout':module.data('layout'), 'lang':checkerLang, 'moduleid':module.data('moduleid'), 'tlds[]':[]};
		
		$(moduleID+' .ext:checked').each(function() {
			dataPost['tlds[]'].push($(this).val());
		});
		
		error="";
		if (domainElement.val()==''){
			domainElement.focus().addClass('errorfield');
			postFormCheck=false;
		}else{
			domainElement.removeClass('errorfield');
			postFormCheck=true;
		}
				
		if ( domainElement.val().length<3) { error=Joomla.JText._('MOD_WE_DOMAINCHEKER_SLDMINLENGTH'); postFormCheck=false; }
		else if ( domainElement.val().length>35) { error=Joomla.JText._('MOD_WE_DOMAINCHEKER_SLDMAXLENGTH'); postFormCheck=false; }
		else if ( $(".ext:checked").size()==0) { error=Joomla.JText._('MOD_WE_DOMAINCHEKER_TLDCHECK'); postFormCheck=false; }
		
		if(error!=""){
			$(moduleID+" .results").html('<span class="errotext">'+error+'</div>');
		}else{
			$(moduleID+" .results").slideUp("slow").html('');
		}
		
		if(postFormCheck)
		{
			$(moduleID+" .results").html('<p class="plzwait" style="text-align:center;"><img src="'+checkerJRoot+'/modules/mod_we_domainchecker/domaincheck/spinner.gif" /> '+Joomla.JText._('MOD_WE_DOMAINCHEKER_PLZWAIT')+'</p>');
			$(moduleID+" .results").slideDown("slow");

			if(checkerdebug) console.log(dataPost);
			
			$.ajax({
			   type: 'POST',
			   data: dataPost,
			   url: checkerJRoot+"/modules/mod_we_domainchecker/domaincheck/dosearch.php", 
			   cache :false,
			   //async:true,
			   headers: {
				 'Cache-Control': 'no-cache, no-store, must-revalidate', 
				 'Pragma': 'no-cache', 
				 'Expires': '0'
			   }
			}).done(function( htmlData ) {
				if(checkerdebug) console.log(htmlData);
				$(moduleID+" .results").html(htmlData);
			}).always(function(data,jqXHR, textStatus )
			{
				if(checkerdebug)
				{
					console.log(data);
					console.log(jqXHR);
					console.log(textStatus);
				}
			});
		}
    });
	var whoisopened=false;
	$('.Wedomainchecker div.results').on('click','a.whois',function(e) {
		$('div.whoisdata').css('display','none');
		$(this).parent().find('div.whoisdata').css('display','block').focus();
		whoisopened=true;
		e.preventDefault();
	});	
	
	$('.Wedomainchecker div.results').on('click','a.wclose', function(e) {
		$(this).closest('.whoisdata').hide();
		whoisopened=false;
		e.preventDefault();
	});
	
	$('.Wedomainchecker div.results').on('focusout','input.domainfield',function(){
		$(this).hide();
	});
		
	$('.Wedomainchecker div.results').on('submit','form[name="registerdomainform"]',function(e) {
		if (!allowEnter && e.originalEvent.explicitOriginalTarget.id != "submit")
		{
			e.preventDefault();
			return false;
		}
	});
		
	$('.Wedomainchecker div.results').on('click','input.registerbtn',function(e) {
		var module=getModule($(this));	
		if($('#'+module.attr('id')+' .regtld:checked').size()==0){ 
			alert('Select a domain to register');
			e.preventDefault();
			return false;
		}
	});
	
	var status=0;
	$('div.showmore').click(function(e) {
		var moreTLds=$(this).parent().find('div.secondary');
		if(status==0){
			moreTLds.show('slow');
			$(this).find("span").text(Joomla.JText._('MOD_WE_DOMAINCHEKER_LESSTLDS'));
			status=1;
		}else{
			moreTLds.hide('slow');
			$(this).find("span").text(Joomla.JText._('MOD_WE_DOMAINCHEKER_MORETLDS'));
			status=0;
		}
	});
	
	$('input.domainfield').keyup(function() {checkDomainChars($(this),false);});
	$('input.domainfield').focusout(function() { checkDomainChars($(this),false); }).blur(function(){ checkDomainChars($(this),false); });
	
	$('input[name="domain"]').keyup(function() {checkDomainChars($(this),true);});	
	$('input[name="domain"]').focusout(function() { checkDomainChars($(this),true); }).blur(function(){ checkDomainChars($(this),true); });
		
	function checkDomainChars(obj,allowDot)
	{
		var module=getModule(obj);
		moduleID='#'+module.attr('id');
		dom=obj.val().toLowerCase();
		dom=dom.replace('www.', '');
		dom=dom.replace('http://', '');
		dom=dom.replace('https://', '');
		dom=dom.replace(' ', '-');
		dom=allowDot?dom.replace(/[^a-zA-Z0-9-.]+/g,''):dom.replace(/[^a-zA-Z0-9-]+/g,'');
		obj.val(dom);
	}
		 
	 var isChecked=0;
	 $('a.selectall').click(function(){
		var module=getModule($(this));
		moduleID='#'+module.attr('id');
		if(!isChecked){
			$(moduleID+ '.tldpos input:checkbox').prop("checked", true);
			$(this).text(Joomla.JText._('MOD_WE_DOMAINCHEKER_CHECK'));
			isChecked=1;
		}else{
			$(moduleID+ ' .tldpos input:checkbox').prop("checked", false);
			$(this).text(Joomla.JText._('MOD_WE_DOMAINCHEKER_UNCHECK'));
			isChecked=0;
		}
	});
	
	//This function helps to have more than on instances published
	function getModule(obj){
		return obj.closest('div.Wedomainchecker');
	}
});