<?php
/**
 * @package		WE Domain Checker (based on SecureDomainAPI) v3.0
 * @author		Web-expert.gr http://www.web-expert.gr
 * @copyright	Copyright (c) 2010 - 2012 Web-expert.gr . All rights reserved.
 * @license		GNU/GPL license: http://www.gnu.org/copyleft/gpl.html
 */
defined('_JEXEC') or die( 'Direct Access to this location is not allowed.' );
if(count($data['errors'])){
	echo '<span class="alert alert-danger">'.implode('<br/>',$data['errors']).'</span>';
	return;
}
//Params
$domainApiURL=rtrim(trim($params->get('domainapiurl', "")),'/');

$registerForm=false;
$formdata='';
foreach($data['apiresponse'] as $domain=>$result){
	if($result['status']=='available')
	{
		if(!$registerForm){
			$formdata.='<input type="hidden" name="domain" value="'.$result["sld"].'" />';
			$registerForm=true;
		}
		$formdata.='<div class="tldrs"><input name="ext" class="regtld" type="checkbox" value="'.$result['tld'].'" /> <span class="available">'.$domain.' '.JText::_('MOD_WE_DOMAINCHEKER_TBLAVAILABLE').'</span></div>';
	}else{
		$formdata.='<div class="tldrs"><input class="regtld" type="checkbox" value="'.$result['tld'].'" disabled /> <span class="unavailable">'.$domain.' '.JText::_('MOD_WE_DOMAINCHEKER_TBLNAVAILABLE').'</span> ';
		$formdata.='<a class="whois" href="#'.$domain.'">WHOIS</a> <a target="_blank" class="visit" href="http://www.'.$domain.'">WWW</a><div class="whoisdata" id="whois_'.$domain.'"><a class="wclose" href="#close">'.JText::_('MOD_WE_DOMAINCHEKER_CLOSE').'</a><br />'.urldecode($result['whois']).'</div></div>';	
	}
}?>
<?php if($registerForm){ ?>
<form name="registerdomainform" method="post" action="<?php echo $domainApiURL.'/domainchecker.php';?>">
	<?php echo $formdata;?>
	<input type="hidden" name="direct" value="true" />
	<input type="submit" value="<?php echo JText::_('MOD_WE_DOMAINCHEKER_TLDREGISTER');?>" class="btn btn-success registerbtn" />
</form>
<?php } else {
	echo $formdata;
} ?>
